package com.eactive.eai.common.util;

import java.util.Properties;

public class TxFileLogger {

	public static void logTxFile(Properties transactionProp, Object message, String prefix) {
		Logger siftLogger = Logger.getLogger(Logger.LOGGER_SIFT);
		if (siftLogger.isInfoEnabled()) {
			siftLogger.info(prefix + message);
			if (siftLogger.isDebugEnabled())
				siftLogger.debug(CommonLib.getDumpMessage(message));
		}
	}
}
